#include "fontgl.h"
#include <GL/glut.h>





/* Gestion des Msg en OpenGL */

MsgGL::MsgGL(int w,int h)
{
  width=w;
  height=h;
  curX=0;
  curY=0;
  size_y=24;
  size_x=20;
  color_r=color_g=color_b=1.0;
}

void MsgGL::TakeC()
{
  glMatrixMode(GL_PROJECTION);
  glPushMatrix();
  glLoadIdentity();
  gluOrtho2D(0, width, 0, height);
  glMatrixMode(GL_MODELVIEW);
  glPushMatrix();
  glLoadIdentity();
  glTranslatef(0, height-24, 0);
  glRasterPos2i(0, 0);
}

void MsgGL::RendreC()
{
  glMatrixMode(GL_PROJECTION);
  glPopMatrix();glPopMatrix();
  glMatrixMode(GL_MODELVIEW);
  glPopMatrix();
}


void MsgGL::PutChar(char c)
{
  curX++;
  glutBitmapCharacter(GLUT_BITMAP_TIMES_ROMAN_24,c);
      //glutStrokeCharacter(TEXTFONT, c);
}

void MsgGL::RetourChar()
{
  curY++;
  curX=0;
  glRasterPos2f(0,-(curY)*size_y);
}

void MsgGL::Reset()
{
  curY=curX=0;
  glRasterPos2f(0,0);
}

void MsgGL::Printf(char *str)
{
  if(str==0)
    return;
  while(*str!=0){
    if(*str=='\n'){
      RetourChar();
      str++;
    }
    else {
      PutChar(*str);
      str++;
    }
  }
}

void MsgGL::Printf(char *str,int x, int y)
{
    glPushMatrix();
    if(str==0)
        return;
    glRasterPos2f(x,-y);
    while(*str!=0){
        if(*str=='\n'){
            str++;
        } else {
//            glTranslatef(10.0, 5.0, 0.0);
//            glScalef(0.5, 0.5, 1.0);
            glBegin(GL_POINTS);
            glColor3f(1.0,0.0,1.0);
            glVertex3f(0.0,0.0,0.0);
            glEnd();
            glTranslatef(1.0,0.0,0.0);
                //    glutBitmapCharacter(GLUT_BITMAP_TIMES_ROMAN_24,*str);
                    //glutStrokeCharacter(TEXTFONT, *str);
            str++;
        }
    }
    glPopMatrix();
}

// Added by TLD
// This class needs cleaning up!!!
void MsgGL::DrawText(float x, float y, float z, char *message)
{
  glPushMatrix();
  glDisable(GL_LIGHTING);
  glTranslatef(x, y, z);
  glScalef(TEXTSCALE, TEXTSCALE, TEXTSCALE);
  while (*message) {
    glutStrokeCharacter(TEXTFONT, *message);
    message++;
  }
  glTranslatef(-x, -y, -z);
  glEnable(GL_LIGHTING);
  glPopMatrix();
}

int MsgGL::CalculateStringWidth (char *message) {
  int width = 0;
  while (*message) {
    width += glutStrokeWidth(TEXTFONT, *message);
    message++;
  }
  return width;
}

// End add
