#ifndef __fontgl
#define __fontgl

#define TEXTFONT GLUT_STROKE_ROMAN
#define TEXTSCALE 0.0005

class ErrorMsgGL
{
 public:
  ErrorMsgGL(char *);
};

class MsgGL
{
 public:
  MsgGL(int w,int h);
  void Printf(char *a);
  void Printf(char *str,int x, int y);
  void PutChar(char c);
  void RetourChar();
  void Reset();
  // Prendre le contexte et le rendre
  void TakeC();
  void RendreC();
  // Added by TLD
  int CalculateStringWidth (char *message);
  void DrawText(float x, float y, float z, char *message);
 private:
  // largeur et hauteur de la fenetre
  int width,height;
  // position du curseur
  int curX,curY;
  // taille de la font
  int size_y,size_x;
  // couleur actuelle de la font
  float color_r,color_g,color_b;
};


#endif
