#include <stdio.h>
#include <stdlib.h>
#include <GL/glut.h>

#include "fontgl.h"
#include "sp_about.h"
#include "stk/stk.h"


extern int Sp_width;
extern int Sp_height;


Sp_About::Sp_About(Stk_Prog *prg)
        :Stk_Prog(prg)
{
    quit=1;
    font=new Stk_FontTXF("default.txf");
    font->SetSize(20);
}


Sp_About::~Sp_About()
{
    delete font;
}


void Sp_About::MessageReceived(Stk_Message *msg)
{
    int *valeur;
        // we have interest only in keyboard clavier
    if(msg->what!=KEY_EVENT)
        return;
        // we have interest in keypressed message
    msg->FindInt("pressed",valeur);
     if(*valeur==0)
        return;
    msg->FindInt("keys",valeur);
    switch(*valeur){
    case K_ENTER:
      quit=0;
      break;
    case K_QUIT:
      quit=0;
      break;
    }
}



int Sp_About::Loop()
{
        // On efface le color buffer
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
    
            // Affichage du menu principal
        /*MsgGL  gltext(Sp_width,Sp_height);
    gltext.TakeC();
    gltext.Printf("Ellis ( Mallet laurent)",240,100);
    gltext.Printf("Johannes Hirche",240,140);
    gltext.Printf("Thomas Lund",240,180);
    gltext.Printf("Bruno van Frachem",240,220);
    gltext.Printf("Luc Saillard",240,260);  
    gltext.RendreC();
        */
    
    Stk_Window *window;
    window=new Stk_Window(640,480);

    Stk_Text *t1;
    t1=new Stk_Text(font,"Ellis (Mallet)",STK_CENTER,0,350,window->width,window->height);
    window->Add_Widget(t1);

    Stk_Text *t2;
    t2=new Stk_Text(font,"Johannes Hirche",STK_CENTER,0,300,window->width,window->height);
    window->Add_Widget(t2);

    Stk_Text *t3;
    t3=new Stk_Text(font,"Thomas Lund",STK_CENTER,0,250,window->width,window->height);
    window->Add_Widget(t3);
    
    Stk_Text *t4;
    t4=new Stk_Text(font,"Bruno Van Frachem",STK_CENTER,0,200,window->width,window->height);
    window->Add_Widget(t4);
 
    Stk_Text *t5;
    t5=new Stk_Text(font,"Luc Saillard",STK_CENTER,0,150,window->width,window->height);
    window->Add_Widget(t5);
 
    
    window->Draw();
    
    
    glutSwapBuffers();
    delete t1;  delete t2;
    delete t3;  delete t4;  delete t5;
    delete window;
    return quit;
}
