#ifndef X11_KEYBOARD

#include "sp_keyboard.h"


/* the key ENTER & ESC*/
void key(unsigned char c, int x, int y)
{
    if(c==13){
        Sp_Message *msg=new Sp_Message(KEY_EVENT);
        msg->AddInt("keys",K_ENTER);
        msg->AddInt("pressed",1);
        looper->PostMessage(msg);

    } else if(c==27){
        Sp_Message *msg=new Sp_Message(KEY_EVENT);
        msg->AddInt("keys",K_ESC);
        msg->AddInt("pressed",1);
        looper->PostMessage(msg);
    }
}

/* direction key up */
void specialkey(int c,int x, int y)
{
    Sp_Message *msg;
    switch(c){
        case GLUT_KEY_UP:
            msg=new Sp_Message(KEY_EVENT);
            msg->AddInt("keys",K_UP);
            msg->AddInt("pressed",1);
            looper->PostMessage(msg);        
            break;
        case GLUT_KEY_DOWN:
            msg=new Sp_Message(KEY_EVENT);
            msg->AddInt("keys",K_DOWN);
            msg->AddInt("pressed",1);
            looper->PostMessage(msg);
            break;
        case GLUT_KEY_LEFT:
            msg=new Sp_Message(KEY_EVENT);
            msg->AddInt("keys",K_LEFT);
            msg->AddInt("pressed",1);
            looper->PostMessage(msg);
            break;
        case GLUT_KEY_RIGHT:
            msg=new Sp_Message(KEY_EVENT);
            msg->AddInt("keys",K_RIGHT);
            msg->AddInt("pressed",1);
            looper->PostMessage(msg);
            break;
    }
}



void specialkeyup(int c,int x, int y)
{
    Sp_Message *msg;
    switch(c){
        case GLUT_KEY_UP:
            msg=new Sp_Message(KEY_EVENT);
            msg->AddInt("keys",K_UP);
            msg->AddInt("pressed",0);
            looper->PostMessage(msg);        
            break;
        case GLUT_KEY_DOWN:
            msg=new Sp_Message(KEY_EVENT);
            msg->AddInt("keys",K_DOWN);
            msg->AddInt("pressed",0);
            looper->PostMessage(msg);
            break;
        case GLUT_KEY_LEFT:
            msg=new Sp_Message(KEY_EVENT);
            msg->AddInt("keys",K_LEFT);
            msg->AddInt("pressed",0);
            looper->PostMessage(msg);
            break;
        case GLUT_KEY_RIGHT:
            msg=new Sp_Message(KEY_EVENT);
            msg->AddInt("keys",K_RIGHT);
            msg->AddInt("pressed",0);
            looper->PostMessage(msg);
            break;
    }
}

#endif
