
#include "sp_time.h"

/* the Adm Time class */


Sp_Adm_Time::Sp_Adm_Time()
{
    frame_counter=0;
    start=glutGet((GLenum)GLUT_ELAPSED_TIME);
}

long Sp_Adm_Time::GetElapsedTime()
{
  return (glutGet((GLenum)GLUT_ELAPSED_TIME)-start);   
}


long Sp_Adm_Time::GetFrameElapsedTime()
{
    return current-last;
}

long Sp_Adm_Time::GetFrameCounter()
{
    return frame_counter;
}


void Sp_Adm_Time::FrameTick()
{
    frame_counter++;
    last=current;
    current=glutGet((GLenum)GLUT_ELAPSED_TIME);
}



/* the client class */
Sp_Client_Time::Sp_Client_Time(Sp_Adm_Time *a)
{
    adm=a;
}

long Sp_Client_Time::GetElapsedTime()
{
    return adm->GetElapsedTime();
}

long Sp_Client_Time::GetFrameElapsedTime()
{
    return adm->GetFrameElapsedTime();
}

long Sp_Client_Time::GetFrameCounter()
{
    return adm->GetFrameCounter();
}
